import Config

# Configure your database
#
# The MIX_TEST_PARTITION environment variable can be used
# to provide built-in test partitioning in CI environment.
# Run `mix help test` for more information.
config :chicken_egg, ChickenEgg.Repo,
  username: "postgres",
  password: "postgres",
  hostname: "localhost",
  database: "chicken_egg_test#{System.get_env("MIX_TEST_PARTITION")}",
  pool: Ecto.Adapters.SQL.Sandbox,
  pool_size: 10

# We don't run a server during test. If one is required,
# you can enable the server option below.
config :chicken_egg, ChickenEggWeb.Endpoint,
  http: [ip: {127, 0, 0, 1}, port: 4002],
  secret_key_base: "BdLfReX3MnFee+u0ddk05dDjr/zYMYcLh2xG2gMOT6/x4+YpeyWfc601yr/Fl+Tm",
  server: false

# In test we don't send emails.
config :chicken_egg, ChickenEgg.Mailer, adapter: Swoosh.Adapters.Test

# Disable swoosh api client as it is only required for production adapters.
config :swoosh, :api_client, false

# Print only warnings and errors during test
config :logger, level: :warning

# Initialize plugs at runtime for faster test compilation
config :phoenix, :plug_init_mode, :runtime
